net.ME1312.SubServers.Bungee.Network.Packet

## Class PacketStopServer

- java.lang.Object
- - net.ME1312.SubServers.Bungee.Network.Packet.PacketStopServer

All Implemented Interfaces:
  PacketIn, PacketOut

    public class PacketStopServer
    extends java.lang.Object
    implements PacketIn, PacketOut

### Constructor Summary

Constructors
Constructor and Description
`PacketStopServer(int response, java.lang.String message, java.lang.String id)`
`PacketStopServer(SubPlugin plugin)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `execute(Client client, org.json.JSONObject data)` Execute Incoming Packet
`org.json.JSONObject` `generate()` Generate JSON Packet Contents
`Version` `getVersion()` Get Packet Version

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PacketStopServer

    public PacketStopServer(SubPlugin plugin)

#### PacketStopServer

    public PacketStopServer(int response,
                            java.lang.String message,
                            java.lang.String id)

### Method Detail

#### generate

    public org.json.JSONObject generate()

Description copied from interface: `PacketOut`
Generate JSON Packet Contents

Specified by:
  `generate` in interface `PacketOut`
Returns:
  Packet Contents

#### execute

    public void execute(Client client,
                        org.json.JSONObject data)

Description copied from interface: `PacketIn`
Execute Incoming Packet

Specified by:
  `execute` in interface `PacketIn`
Parameters:
  `client` - Client Accepting
  `data` - Incoming Data

#### getVersion

    public Version getVersion()

Description copied from interface: `PacketIn`
Get Packet Version

Specified by:
  `getVersion` in interface `PacketIn`
Specified by:
  `getVersion` in interface `PacketOut`
Returns:
  Packet Version